/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */
 
#ifndef _SOC_FC__CLKC
#define _SOC_FC__CLKC

#define _CLKC_MODULE_BASE                        0x18620000

#define rCLKC_MEMPLL_AB_FREQ                      (*(volatile unsigned *) 0x18620000U)
#define rCLKC_MEMPLL_AB_SSC                       (*(volatile unsigned *) 0x18620004U)
#define rCLKC_MEMPLL_AB_CTRL0                     (*(volatile unsigned *) 0x18620008U)
#define rCLKC_MEMPLL_AB_CTRL1                     (*(volatile unsigned *) 0x1862000CU)
#define rCLKC_MEMPLL_AB_STATUS                    (*(volatile unsigned *) 0x18620010U)
#define rCLKC_MEMPLL_AB_SSRAM_ADDR                (*(volatile unsigned *) 0x18620014U)
#define rCLKC_MEMPLL_AB_SSRAM_DATA                (*(volatile unsigned *) 0x18620018U)
#define rCLKC_CPUPLL_AB_FREQ                      (*(volatile unsigned *) 0x1862001CU)
#define rCLKC_CPUPLL_AB_SSC                       (*(volatile unsigned *) 0x18620020U)
#define rCLKC_CPUPLL_AB_CTRL0                     (*(volatile unsigned *) 0x18620024U)
#define rCLKC_CPUPLL_AB_CTRL1                     (*(volatile unsigned *) 0x18620028U)
#define rCLKC_CPUPLL_AB_STATUS                    (*(volatile unsigned *) 0x1862002CU)
#define rCLKC_SYS0_BTPLL_AB_FREQ                  (*(volatile unsigned *) 0x18620030U)
#define rCLKC_SYS0_BTPLL_AB_SSC                   (*(volatile unsigned *) 0x18620034U)
#define rCLKC_SYS0_BTPLL_AB_CTRL0                 (*(volatile unsigned *) 0x18620038U)
#define rCLKC_SYS0_BTPLL_AB_CTRL1                 (*(volatile unsigned *) 0x1862003CU)
#define rCLKC_SYS0_BTPLL_AB_STATUS                (*(volatile unsigned *) 0x18620040U)
#define rCLKC_SYS1_USBPLL_AB_FREQ                 (*(volatile unsigned *) 0x18620044U)
#define rCLKC_SYS1_USBPLL_AB_SSC                  (*(volatile unsigned *) 0x18620048U)
#define rCLKC_SYS1_USBPLL_AB_CTRL0                (*(volatile unsigned *) 0x1862004CU)
#define rCLKC_SYS1_USBPLL_AB_CTRL1                (*(volatile unsigned *) 0x18620050U)
#define rCLKC_SYS1_USBPLL_AB_STATUS               (*(volatile unsigned *) 0x18620054U)
#define rCLKC_SYS2_ETHPLL_AB_FREQ                 (*(volatile unsigned *) 0x18620058U)
#define rCLKC_SYS2_ETHPLL_AB_SSC                  (*(volatile unsigned *) 0x1862005CU)
#define rCLKC_SYS2_ETHPLL_AB_CTRL0                (*(volatile unsigned *) 0x18620060U)
#define rCLKC_SYS2_ETHPLL_AB_CTRL1                (*(volatile unsigned *) 0x18620064U)
#define rCLKC_SYS2_ETHPLL_AB_STATUS               (*(volatile unsigned *) 0x18620068U)
#define rCLKC_SYS3_SSCPLL_AB_FREQ                 (*(volatile unsigned *) 0x1862006CU)
#define rCLKC_SYS3_SSCPLL_AB_SSC                  (*(volatile unsigned *) 0x18620070U)
#define rCLKC_SYS3_SSCPLL_AB_CTRL0                (*(volatile unsigned *) 0x18620074U)
#define rCLKC_SYS3_SSCPLL_AB_CTRL1                (*(volatile unsigned *) 0x18620078U)
#define rCLKC_SYS3_SSCPLL_AB_STATUS               (*(volatile unsigned *) 0x1862007CU)
#define rCLKC_SYS3_SSCPLL_AB_SSRAM_ADDR           (*(volatile unsigned *) 0x18620080U)
#define rCLKC_SYS3_SSCPLL_AB_SSRAM_DATA           (*(volatile unsigned *) 0x18620084U)
#define rCLKC_AUDIO_DTO_INC                       (*(volatile unsigned *) 0x18620088U)
#define rCLKC_DISP0_DTO_INC                       (*(volatile unsigned *) 0x1862008CU)
#define rCLKC_DISP1_DTO_INC                       (*(volatile unsigned *) 0x18620090U)
#define rCLKC_AUDIO_DTO_SRC                       (*(volatile unsigned *) 0x18620094U)
#define rCLKC_AUDIO_DTO_ENA                       (*(volatile unsigned *) 0x18620098U)
#define rCLKC_AUDIO_DTO_DROFF                     (*(volatile unsigned *) 0x1862009CU)
#define rCLKC_DISP0_DTO_SRC                       (*(volatile unsigned *) 0x186200A0U)
#define rCLKC_DISP0_DTO_ENA                       (*(volatile unsigned *) 0x186200A4U)
#define rCLKC_DISP0_DTO_DROFF                     (*(volatile unsigned *) 0x186200A8U)
#define rCLKC_DISP1_DTO_SRC                       (*(volatile unsigned *) 0x186200ACU)
#define rCLKC_DISP1_DTO_ENA                       (*(volatile unsigned *) 0x186200B0U)
#define rCLKC_DISP1_DTO_DROFF                     (*(volatile unsigned *) 0x186200B4U)
#define rCLKC_I2S_CLK_SEL                         (*(volatile unsigned *) 0x186200B8U)
#define rCLKC_I2S_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x186200BCU)
#define rCLKC_USBPHY_CLK_CFG                      (*(volatile unsigned *) 0x186200C0U)
#define rCLKC_USBPHY_CLK_DIVENA                   (*(volatile unsigned *) 0x186200C4U)
#define rCLKC_USBPHY_CLK_SEL                      (*(volatile unsigned *) 0x186200C8U)
#define rCLKC_USBPHY_CLK_SEL_STATUS               (*(volatile unsigned *) 0x186200CCU)
#define rCLKC_BTSS_CLK_CFG                        (*(volatile unsigned *) 0x186200D0U)
#define rCLKC_BTSS_CLK_DIVENA                     (*(volatile unsigned *) 0x186200D4U)
#define rCLKC_BTSS_CLK_SEL                        (*(volatile unsigned *) 0x186200D8U)
#define rCLKC_BTSS_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x186200DCU)
#define rCLKC_RGMII_CLK_CFG                       (*(volatile unsigned *) 0x186200E0U)
#define rCLKC_RGMII_CLK_DIVENA                    (*(volatile unsigned *) 0x186200E4U)
#define rCLKC_RGMII_CLK_SEL                       (*(volatile unsigned *) 0x186200E8U)
#define rCLKC_RGMII_CLK_SEL_STATUS                (*(volatile unsigned *) 0x186200ECU)
#define rCLKC_CPU_CLK_CFG                         (*(volatile unsigned *) 0x186200F0U)
#define rCLKC_CPU_CLK_DIVENA                      (*(volatile unsigned *) 0x186200F4U)
#define rCLKC_CPU_CLK_SEL                         (*(volatile unsigned *) 0x186200F8U)
#define rCLKC_CPU_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x186200FCU)
#define rCLKC_SDPHY01_CLK_CFG                     (*(volatile unsigned *) 0x18620100U)
#define rCLKC_SDPHY01_CLK_DIVENA                  (*(volatile unsigned *) 0x18620104U)
#define rCLKC_SDPHY01_CLK_SEL                     (*(volatile unsigned *) 0x18620108U)
#define rCLKC_SDPHY01_CLK_SEL_STATUS              (*(volatile unsigned *) 0x1862010CU)
#define rCLKC_SDPHY23_CLK_CFG                     (*(volatile unsigned *) 0x18620110U)
#define rCLKC_SDPHY23_CLK_DIVENA                  (*(volatile unsigned *) 0x18620114U)
#define rCLKC_SDPHY23_CLK_SEL                     (*(volatile unsigned *) 0x18620118U)
#define rCLKC_SDPHY23_CLK_SEL_STATUS              (*(volatile unsigned *) 0x1862011CU)
#define rCLKC_SDPHY45_CLK_CFG                     (*(volatile unsigned *) 0x18620120U)
#define rCLKC_SDPHY45_CLK_DIVENA                  (*(volatile unsigned *) 0x18620124U)
#define rCLKC_SDPHY45_CLK_SEL                     (*(volatile unsigned *) 0x18620128U)
#define rCLKC_SDPHY45_CLK_SEL_STATUS              (*(volatile unsigned *) 0x1862012CU)
#define rCLKC_SDPHY67_CLK_CFG                     (*(volatile unsigned *) 0x18620130U)
#define rCLKC_SDPHY67_CLK_DIVENA                  (*(volatile unsigned *) 0x18620134U)
#define rCLKC_SDPHY67_CLK_SEL                     (*(volatile unsigned *) 0x18620138U)
#define rCLKC_SDPHY67_CLK_SEL_STATUS              (*(volatile unsigned *) 0x1862013CU)
#define rCLKC_CAN_CLK_CFG                         (*(volatile unsigned *) 0x18620140U)
#define rCLKC_CAN_CLK_DIVENA                      (*(volatile unsigned *) 0x18620144U)
#define rCLKC_CAN_CLK_SEL                         (*(volatile unsigned *) 0x18620148U)
#define rCLKC_CAN_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x1862014CU)
#define rCLKC_DEINT_CLK_CFG                       (*(volatile unsigned *) 0x18620150U)
#define rCLKC_DEINT_CLK_DIVENA                    (*(volatile unsigned *) 0x18620154U)
#define rCLKC_DEINT_CLK_SEL                       (*(volatile unsigned *) 0x18620158U)
#define rCLKC_DEINT_CLK_SEL_STATUS                (*(volatile unsigned *) 0x1862015CU)
#define rCLKC_NAND_CLK_CFG                        (*(volatile unsigned *) 0x18620160U)
#define rCLKC_NAND_CLK_DIVENA                     (*(volatile unsigned *) 0x18620164U)
#define rCLKC_NAND_CLK_SEL                        (*(volatile unsigned *) 0x18620168U)
#define rCLKC_NAND_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x1862016CU)
#define rCLKC_DISP0_CLK_CFG                       (*(volatile unsigned *) 0x18620170U)
#define rCLKC_DISP0_CLK_DIVENA                    (*(volatile unsigned *) 0x18620174U)
#define rCLKC_DISP0_CLK_SEL                       (*(volatile unsigned *) 0x18620178U)
#define rCLKC_DISP0_CLK_SEL_STATUS                (*(volatile unsigned *) 0x1862017CU)
#define rCLKC_DISP1_CLK_CFG                       (*(volatile unsigned *) 0x18620180U)
#define rCLKC_DISP1_CLK_DIVENA                    (*(volatile unsigned *) 0x18620184U)
#define rCLKC_DISP1_CLK_SEL                       (*(volatile unsigned *) 0x18620188U)
#define rCLKC_DISP1_CLK_SEL_STATUS                (*(volatile unsigned *) 0x1862018CU)
#define rCLKC_GPU_CLK_CFG                         (*(volatile unsigned *) 0x18620190U)
#define rCLKC_GPU_CLK_DIVENA                      (*(volatile unsigned *) 0x18620194U)
#define rCLKC_GPU_CLK_SEL                         (*(volatile unsigned *) 0x18620198U)
#define rCLKC_GPU_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x1862019CU)
#define rCLKC_GNSS_CLK_CFG                        (*(volatile unsigned *) 0x186201A0U)
#define rCLKC_GNSS_CLK_DIVENA                     (*(volatile unsigned *) 0x186201A4U)
#define rCLKC_GNSS_CLK_SEL                        (*(volatile unsigned *) 0x186201A8U)
#define rCLKC_GNSS_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x186201ACU)
#define rCLKC_SHARED_DIVIDERS_CFG0                (*(volatile unsigned *) 0x186201B0U)
#define rCLKC_SHARED_DIVIDERS_CFG1                (*(volatile unsigned *) 0x186201B4U)
#define rCLKC_SHARED_DIVIDERS_ENA                 (*(volatile unsigned *) 0x186201B8U)
#define rCLKC_SYS_CLK_SEL                         (*(volatile unsigned *) 0x186201BCU)
#define rCLKC_SYS_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x186201C0U)
#define rCLKC_IO_CLK_SEL                          (*(volatile unsigned *) 0x186201C4U)
#define rCLKC_IO_CLK_SEL_STATUS                   (*(volatile unsigned *) 0x186201C8U)
#define rCLKC_G2D_CLK_SEL                         (*(volatile unsigned *) 0x186201CCU)
#define rCLKC_G2D_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x186201D0U)
#define rCLKC_JPENC_CLK_SEL                       (*(volatile unsigned *) 0x186201D4U)
#define rCLKC_JPENC_CLK_SEL_STATUS                (*(volatile unsigned *) 0x186201D8U)
#define rCLKC_VDEC_CLK_SEL                        (*(volatile unsigned *) 0x186201DCU)
#define rCLKC_VDEC_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x186201E0U)
#define rCLKC_GMAC_CLK_SEL                        (*(volatile unsigned *) 0x186201E4U)
#define rCLKC_GMAC_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x186201E8U)
#define rCLKC_USB_CLK_SEL                         (*(volatile unsigned *) 0x186201ECU)
#define rCLKC_USB_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x186201F0U)
#define rCLKC_KAS_CLK_SEL                         (*(volatile unsigned *) 0x186201F4U)
#define rCLKC_KAS_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x186201F8U)
#define rCLKC_SEC_CLK_SEL                         (*(volatile unsigned *) 0x186201FCU)
#define rCLKC_SEC_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x18620200U)
#define rCLKC_SDR_CLK_SEL                         (*(volatile unsigned *) 0x18620204U)
#define rCLKC_SDR_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x18620208U)
#define rCLKC_VIP_CLK_SEL                         (*(volatile unsigned *) 0x1862020CU)
#define rCLKC_VIP_CLK_SEL_STATUS                  (*(volatile unsigned *) 0x18620210U)
#define rCLKC_NOCD_CLK_SEL                        (*(volatile unsigned *) 0x18620214U)
#define rCLKC_NOCD_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x18620218U)
#define rCLKC_NOCR_CLK_SEL                        (*(volatile unsigned *) 0x1862021CU)
#define rCLKC_NOCR_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x18620220U)
#define rCLKC_TPIU_CLK_SEL                        (*(volatile unsigned *) 0x18620224U)
#define rCLKC_TPIU_CLK_SEL_STATUS                 (*(volatile unsigned *) 0x18620228U)
#define rCLKC_ROOT_CLK_EN0_SET                    (*(volatile unsigned *) 0x1862022CU)
#define rCLKC_ROOT_CLK_EN0_CLR                    (*(volatile unsigned *) 0x18620230U)
#define rCLKC_ROOT_CLK_EN0_STATUS                 (*(volatile unsigned *) 0x18620234U)
#define rCLKC_ROOT_CLK_EN1_SET                    (*(volatile unsigned *) 0x18620238U)
#define rCLKC_ROOT_CLK_EN1_CLR                    (*(volatile unsigned *) 0x1862023CU)
#define rCLKC_ROOT_CLK_EN1_STATUS                 (*(volatile unsigned *) 0x18620240U)
#define rCLKC_LEAF_CLK_EN0_SET                    (*(volatile unsigned *) 0x18620244U)
#define rCLKC_LEAF_CLK_EN0_CLR                    (*(volatile unsigned *) 0x18620248U)
#define rCLKC_LEAF_CLK_EN0_STATUS                 (*(volatile unsigned *) 0x1862024CU)
#define rCLKC_TEST_CLK_SEL                        (*(volatile unsigned *) 0x186202B0U)
#define rCLKC_TRG_REFCLK_SEL                      (*(volatile unsigned *) 0x186202B4U)
#define rCLKC_CLKC_SW_REG0                        (*(volatile unsigned *) 0x186202B8U)
#define rCLKC_CLKC_SW_REG1                        (*(volatile unsigned *) 0x186202BCU)
#define rCLKC_CLKC_SW_REG2                        (*(volatile unsigned *) 0x186202C0U)
#define rCLKC_CLKC_SW_REG3                        (*(volatile unsigned *) 0x186202C4U)
#define rCLKC_CLKC_SW_REG4                        (*(volatile unsigned *) 0x186202C8U)
#define rCLKC_CLKC_SW_REG5                        (*(volatile unsigned *) 0x186202CCU)
#define rCLKC_NOC_CLK_IDLEREQ_SET                 (*(volatile unsigned *) 0x186202D0U)
#define rCLKC_NOC_CLK_IDLEREQ_CLEAR               (*(volatile unsigned *) 0x186202D4U)
#define rCLKC_NOC_CLK_IDLEREQ_STATUS              (*(volatile unsigned *) 0x186202D8U)
#define rCLKC_PLUG_CLK_IDLEREQ_SET                (*(volatile unsigned *) 0x186202DCU)
#define rCLKC_PLUG_CLK_IDLEREQ_CLEAR              (*(volatile unsigned *) 0x186202E0U)
#define rCLKC_PLUG_CLK_IDLEREQ_STATUS             (*(volatile unsigned *) 0x186202E4U)
#define rCLKC_NOC_CLK_SLVRDY_SET                  (*(volatile unsigned *) 0x186202E8U)
#define rCLKC_NOC_CLK_SLVRDY_CLEAR                (*(volatile unsigned *) 0x186202ECU)
#define rCLKC_NOC_CLK_SLVRDY_STATUS               (*(volatile unsigned *) 0x186202F0U)
#define rCLKC_NOC_CLK_IDLE_STATUS                 (*(volatile unsigned *) 0x186202F4U)
#define rCLKC_PLUG_CLK_IDLE_STATUS                (*(volatile unsigned *) 0x186202F8U)
#define rCLKC_NOC_CLK_IDLEACK_STATUS              (*(volatile unsigned *) 0x186202FCU)
#define rCLKC_PLUG_CLK_IDLEACK_STATUS             (*(volatile unsigned *) 0x18620300U)
#define rCLKC_NOC_SOCKETCONN_STATUS               (*(volatile unsigned *) 0x18620304U)
#define rCLKC_RSTC_A7_SW_RST                      (*(volatile unsigned *) 0x18620308U)
#define rCLKC_RSTC_A7_DBG_RST                     (*(volatile unsigned *) 0x1862030CU)
#define rCLKC_RSTC_SREFRESN_EN                    (*(volatile unsigned *) 0x18620310U)
#define rCLKC_RSTC_STATUS                         (*(volatile unsigned *) 0x18620314U)
#define rCLKC_RSTC_STATUS_CLR                     (*(volatile unsigned *) 0x18620318U)
#define rCLKC_RSTC_TIMER                          (*(volatile unsigned *) 0x1862031CU)
#define rCLKC_RSTC_UNIT_SW_RST0_SET               (*(volatile unsigned *) 0x18620320U)
#define rCLKC_RSTC_UNIT_SW_RST0_CLR               (*(volatile unsigned *) 0x18620324U)
#define rCLKC_RSTC_UNIT_SW_RST0_STATUS            (*(volatile unsigned *) 0x18620328U)
#define rCLKC_RSTC_UNIT_SW_RST1_SET               (*(volatile unsigned *) 0x1862032CU)
#define rCLKC_RSTC_UNIT_SW_RST1_CLR               (*(volatile unsigned *) 0x18620330U)
#define rCLKC_RSTC_UNIT_SW_RST1_STATUS            (*(volatile unsigned *) 0x18620334U)
#define rCLKC_RSTC_UNIT_SW_RST2_SET               (*(volatile unsigned *) 0x18620338U)
#define rCLKC_RSTC_UNIT_SW_RST2_CLR               (*(volatile unsigned *) 0x1862033CU)
#define rCLKC_RSTC_UNIT_SW_RST2_STATUS            (*(volatile unsigned *) 0x18620340U)
#define rCLKC_RSTC_UNIT_SW_RST3_SET               (*(volatile unsigned *) 0x18620344U)
#define rCLKC_RSTC_UNIT_SW_RST3_CLR               (*(volatile unsigned *) 0x18620348U)
#define rCLKC_RSTC_UNIT_SW_RST3_STATUS            (*(volatile unsigned *) 0x1862034CU)
#define rCLKC_RSTC_UNIT_SW_RST4_SET               (*(volatile unsigned *) 0x18620350U)
#define rCLKC_RSTC_UNIT_SW_RST4_CLR               (*(volatile unsigned *) 0x18620354U)
#define rCLKC_RSTC_UNIT_SW_RST4_STATUS            (*(volatile unsigned *) 0x18620358U)
#define rCLKC_RSTC_UNIT_SW_RST5_SET               (*(volatile unsigned *) 0x1862035CU)
#define rCLKC_RSTC_UNIT_SW_RST5_CLR               (*(volatile unsigned *) 0x18620360U)
#define rCLKC_RSTC_UNIT_SW_RST5_STATUS            (*(volatile unsigned *) 0x18620364U)
#define rCLKC_RSTC_UNIT_SW_RST6_SET               (*(volatile unsigned *) 0x18620368U)
#define rCLKC_RSTC_UNIT_SW_RST6_CLR               (*(volatile unsigned *) 0x1862036CU)
#define rCLKC_RSTC_UNIT_SW_RST6_STATUS            (*(volatile unsigned *) 0x18620370U)
#define rCLKC_RSTC_UNIT_SW_RST7_SET               (*(volatile unsigned *) 0x18620374U)
#define rCLKC_RSTC_UNIT_SW_RST7_CLR               (*(volatile unsigned *) 0x18620378U)
#define rCLKC_RSTC_UNIT_SW_RST7_STATUS            (*(volatile unsigned *) 0x1862037CU)
#define rCLKC_RSTC_UNIT_SW_RST8_SET               (*(volatile unsigned *) 0x18620380U)
#define rCLKC_RSTC_UNIT_SW_RST8_CLR               (*(volatile unsigned *) 0x18620384U)
#define rCLKC_RSTC_UNIT_SW_RST8_STATUS            (*(volatile unsigned *) 0x18620388U)
#define rCLKC_LEAF_CLK_EN1_SET                    (*(volatile unsigned *) 0x186204A0U)
#define rCLKC_LEAF_CLK_EN1_CLR                    (*(volatile unsigned *) 0x186204A4U)
#define rCLKC_LEAF_CLK_EN1_STATUS                 (*(volatile unsigned *) 0x186204A8U)
#define rCLKC_LEAF_CLK_EN2_SET                    (*(volatile unsigned *) 0x186204B8U)
#define rCLKC_LEAF_CLK_EN2_CLR                    (*(volatile unsigned *) 0x186204BCU)
#define rCLKC_LEAF_CLK_EN2_STATUS                 (*(volatile unsigned *) 0x186204C0U)
#define rCLKC_LEAF_CLK_EN3_SET                    (*(volatile unsigned *) 0x186204D0U)
#define rCLKC_LEAF_CLK_EN3_CLR                    (*(volatile unsigned *) 0x186204D4U)
#define rCLKC_LEAF_CLK_EN3_STATUS                 (*(volatile unsigned *) 0x186204D8U)
#define rCLKC_LEAF_CLK_EN4_SET                    (*(volatile unsigned *) 0x186204E8U)
#define rCLKC_LEAF_CLK_EN4_CLR                    (*(volatile unsigned *) 0x186204ECU)
#define rCLKC_LEAF_CLK_EN4_STATUS                 (*(volatile unsigned *) 0x186204F0U)
#define rCLKC_LEAF_CLK_EN5_SET                    (*(volatile unsigned *) 0x18620500U)
#define rCLKC_LEAF_CLK_EN5_CLR                    (*(volatile unsigned *) 0x18620504U)
#define rCLKC_LEAF_CLK_EN5_STATUS                 (*(volatile unsigned *) 0x18620508U)
#define rCLKC_LEAF_CLK_EN6_SET                    (*(volatile unsigned *) 0x18620518U)
#define rCLKC_LEAF_CLK_EN6_CLR                    (*(volatile unsigned *) 0x1862051CU)
#define rCLKC_LEAF_CLK_EN6_STATUS                 (*(volatile unsigned *) 0x18620520U)
#define rCLKC_LEAF_CLK_EN7_SET                    (*(volatile unsigned *) 0x18620530U)
#define rCLKC_LEAF_CLK_EN7_CLR                    (*(volatile unsigned *) 0x18620534U)
#define rCLKC_LEAF_CLK_EN7_STATUS                 (*(volatile unsigned *) 0x18620538U)
#define rCLKC_LEAF_CLK_EN8_SET                    (*(volatile unsigned *) 0x18620548U)
#define rCLKC_LEAF_CLK_EN8_CLR                    (*(volatile unsigned *) 0x1862054CU)
#define rCLKC_LEAF_CLK_EN8_STATUS                 (*(volatile unsigned *) 0x18620550U)
#endif // _SOC_FC__CLKC 

